    createCompositiontemple_start_portal = function()
        local compositiontemple_4a = CreateCompositionSequence()
        local compositionDuration = 12.8333333333333
        compositiontemple_4a:SetDuration(compositionDuration)

        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/36_temple_3_/anim/portal/ten.png")
        element:SetName("Layer_4")
        compositiontemple_4a:AddElement(element)
        element:SetHotSpot(174.5, 13)
        element:SetParentElement(compositiontemple_4a)
        element:SetXY(552, 381)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
    
        effector = element:GetEffector()
        effector:SetLifeTime(1.375, 31.375)
    
        effector:SetKey(_TRACK_O, 1.375, 0)
        effector:SetKey(_TRACK_O, 2.08333333333333, 1)
    
        effector:Play()
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/36_temple_3_/anim/portal/nakl.png")
        element:SetName("Layer_5")
        compositiontemple_4a:AddElement(element)
        element:SetHotSpot(166, 169.5)
        element:SetParentElement(compositiontemple_4a)
        element:SetXY(519, 546.5)
    
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 30)
        effector:Play()
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/36_temple_3_/anim/portal/vrat.png")
        element:SetName("Layer_6")
        compositiontemple_4a:AddElement(element)
        element:SetHotSpot(159.5, 163.5)
        element:SetParentElement(compositiontemple_4a)
        element:SetScaleX(1)
        element:SetScaleY(1)
        element:SetAngle(0)
        element:SetOpacity(1)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0, 30)
    
        effector:SetKey(_TRACK_X, 0, 518.5)
        effector:SetKey(_TRACK_Y, 0, 547.5)
        effector:SetKey(_TRACK_X, 2.08333333333333, 518.5)
        effector:SetKey(_TRACK_Y, 2.08333333333333, 229.5)
    
        effector:Play()
    
        return compositiontemple_4a
    end

    createCompositiontemple_go_portal = function()
        local compositiontemple_4a = CreateCompositionSequence()
        local compositionDuration = 5.125
        compositiontemple_4a:SetDuration(compositionDuration)
        
         -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/36_temple_3_/anim/portal/portal.png");
        element:SetName("Layer_1");
        compositiontemple_4a:AddElement(element);
        element:SetHotSpot(96, 112.5);
        element:SetParentElement(compositiontemple_4a);
        element:SetXY(510, 271);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(62)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 192, 225)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 5.16666666666667);
    
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 1.91666666666667, 1);
    
        effector:Play();
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/36_temple_3_/anim/portal/ciaivo.png");
        element:SetName("Layer_2");
        compositiontemple_4a:AddElement(element);
        element:SetHotSpot(144.5, 160);
        element:SetParentElement(compositiontemple_4a);
        element:SetXY(520.5, 227);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(4)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 289, 320)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 5.16666666666667);
    
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 1.91666666666667, 1);
    
        effector:Play();
   
        return compositiontemple_4a
   end
   
   createCompositiontemple_cycle_portal = function()
        local compositiontemple_4a = CreateCompositionSequence()
        local compositionDuration = 5.125
        compositiontemple_4a:SetDuration(compositionDuration)
        
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/36_temple_3_/anim/portal/portal.png");
        element:SetName("Layer_1");
        compositiontemple_4a:AddElement(element);
        element:SetHotSpot(96, 112.5);
        element:SetParentElement(compositiontemple_4a);
        element:SetXY(510, 271);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(62)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 192, 225)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 5.16666666666667);
        effector:Play();
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/36_temple_3_/anim/portal/ciaivo.png");
        element:SetName("Layer_2");
        compositiontemple_4a:AddElement(element);
        element:SetHotSpot(144.5, 160);
        element:SetParentElement(compositiontemple_4a);
        element:SetXY(520.5, 227);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(4)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 289, 320)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 8);
        effector:Play();
        
        return compositiontemple_4a
   end
   